package org.bdware.server.http;

public enum HttpMethod {
    OPTIONS,
    GET,
    HEAD,
    POST,
    PUT,
    PATCH,
    DELETE,
    TRACE,
    CONNECT;

    io.netty.handler.codec.http.HttpMethod get() {
        switch (this) {
            case OPTIONS:
                return io.netty.handler.codec.http.HttpMethod.OPTIONS;
            case HEAD:
                return io.netty.handler.codec.http.HttpMethod.HEAD;
            case POST:
                return io.netty.handler.codec.http.HttpMethod.POST;
            case PUT:
                return io.netty.handler.codec.http.HttpMethod.PUT;
            case PATCH:
                return io.netty.handler.codec.http.HttpMethod.PATCH;
            case DELETE:
                return io.netty.handler.codec.http.HttpMethod.DELETE;
            case TRACE:
                return io.netty.handler.codec.http.HttpMethod.TRACE;
            case CONNECT:
                return io.netty.handler.codec.http.HttpMethod.CONNECT;
            default:
                return io.netty.handler.codec.http.HttpMethod.GET;
        }
    }
}
