package org.bdware.server.test;

import java.util.List;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import com.google.gson.reflect.TypeToken;
import org.bdware.sc.bean.ContractDesp;

public class GsonParseTest {
	public static void main(String[] args) {
		String jsonStr = "{\"action\":\"updateContract\",\"contracts\":\"[{\\\"contractID\\\":\\\"-1306108766\\\",\\\"contractName\\\":\\\"EventSuberAtCHQ\\\",\\\"events\\\":[\\\"def\\\"],\\\"exportedFunctions\\\":[{\\\"annotations\\\":[{\\\"type\\\":\\\"LogType\\\",\\\"args\\\":[\\\"\\\\\\\"Arg\\\\\\\"\\\"]}],\\\"functionName\\\":\\\"init\\\"},{\\\"annotations\\\":[{\\\"type\\\":\\\"LogType\\\",\\\"args\\\":[\\\"\\\\\\\"Arg\\\\\\\"\\\"]}],\\\"functionName\\\":\\\"handler\\\"}]}]\"}\n";
		JsonObject jo = new JsonParser().parse(jsonStr).getAsJsonObject();
		List<ContractDesp> contracts = new Gson().fromJson(jo.get("contracts").getAsString(),
				new TypeToken<List<ContractDesp>>() {
				}.getType());
		System.out.println(new GsonBuilder().setPrettyPrinting().create().toJson(contracts));
	}
}
