package org.bdware.server.http;

import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.http.FullHttpRequest;
import org.junit.Before;
import org.junit.Test;

public class URIHandlerTest {
    URIHandler handler;

    @Before
    public void init() {
        handler = new URIHandler();
        handler.register(this);
    }

    @URIPath(
            method = HttpMethod.OPTIONS,
            value = {"/"})
    public void h1(ChannelHandlerContext ctx, FullHttpRequest request) {
        return;
    }

    @URIPath(
            method = HttpMethod.GET,
            value = {"/SCIDE/ABC/", "/SCIDE/CEEEE"})
    public void h2(ChannelHandlerContext ctx, FullHttpRequest request) {
        return;
    }

    @URIPath(
            method = HttpMethod.GET,
            value = {"/"})
    public void h3(ChannelHandlerContext ctx, FullHttpRequest request) {
        return;
    }

    @URIPath(
            method = HttpMethod.GET,
            value = {"/client"})
    public void h4(ChannelHandlerContext ctx, FullHttpRequest request) {
        return;
    }

    @Test
    public void test() {
        System.out.println(handler);
    }
}
