package org.bdware.server.test;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Scanner;

import com.google.gson.Gson;

public class CMHttpTest {
	public static void main(String[] args) {
		// ManagerActionsTest();
		CMActionTest();
	}

	private static void CMActionTest() {
		//http_load 
		String host = "http://127.0.0.1:18000/SCIDE/CMManager?action=";
		String url1 = host + "ping";
		System.out.println(httpGet(url1));
		url1 = host + "listContractProcess";
		System.out.println(httpGet(url1));
		url1 = host + "writeDyjs&target=test1120.dyjs&contractID=123&content=empty";
		System.out.println(httpGet(url1));
		url1 = host + "executeContract&contractID=BDCoin&operation=totalSupply&arg=en";
		System.out.println(httpGet(url1));
		url1 = host + "getCodeByID&contractID=DORepo";
		System.out.println(httpGet(url1));
		url1 = host + "getPublicKey";
		System.out.println(httpGet(url1));
		url1 = host + "dumpContract&contractID=DORepo&target=dumTest.dyjs";
		System.out.println(httpGet(url1));
		url1 = host + "loadMemory&contractID=DORepo&target=dumTest.dyjs";
		System.out.println(httpGet(url1));
		url1 = host + "killContractProcess&contractID=abc";
		System.out.println(httpGet(url1));
		url1 = host + "killAllContract";
		System.out.println(httpGet(url1));
		url1 = host + "startContractBatched&fileList=" + URLEncoder.encode("[\"algorithmExample.yjs\",\"AAA.yjs\"]");
		System.out.println(httpGet(url1));
		// url1 = host + "startContractInTempZips";
		// System.out.println(httpGet(url1));
		
	}

	private static void ManagerActionsTest() {
		String host = "http://127.0.0.1:18000/SCIDE/CMManager?action=";
		String url1 = host + "getEncodedUUID";
		System.out.println(httpGet(url1));
		url1 = host + "downloadUUID";
		System.out.println(httpGet(url1));
		url1 = host + "updateConfig&key=projectDir&val="
				+ URLEncoder.encode("/Users/huaqiancai/java_workspace/SmartContract/contractExamples");
		System.out.println(httpGet(url1));
		url1 = host + "loadConfig";
		System.out.println(httpGet(url1));
		url1 = host + "getLicenceExpiredDate";
		System.out.println(httpGet(url1));
		url1 = host + "generatePrivateKey";
		System.out.println(httpGet(url1));

	}

	static class Result {
		int resposeCode;
		String response;
	}

	public static String httpGet(String str) {
		System.out.println("JavaScriptEntry httpGet:" + str);
		Result r = new Result();
		try {
			URL url = new URL(str);
			HttpURLConnection connection = (HttpURLConnection) url.openConnection();
			r.resposeCode = connection.getResponseCode();
			InputStream input = connection.getInputStream();
			Scanner sc = new Scanner(input);
			StringBuilder sb = new StringBuilder();
			for (; sc.hasNextLine();) {
				sb.append(sc.nextLine()).append("\n");
			}
			sc.close();
			r.response = sb.toString();
			return new Gson().toJson(r);
		} catch (Throwable e) {
			r.resposeCode = 505;
			ByteArrayOutputStream bo = new ByteArrayOutputStream();
			e.printStackTrace(new PrintStream(bo));
			r.response = bo.toString();
			return new Gson().toJson(r);
		}
	}
}
